org.apache.ignite.internal.commandline.baseline

## Enum BaselineSubcommands

- java.lang.Object
- - java.lang.Enum<BaselineSubcommands>
  - - org.apache.ignite.internal.commandline.baseline.BaselineSubcommands

All Implemented Interfaces:
  Serializable, Comparable<BaselineSubcommands>

    public enum BaselineSubcommands
    extends Enum<BaselineSubcommands>

Set of baseline commands.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADD` Add nodes to baseline.
`AUTO_ADJUST` Baseline auto-adjust configuration.
`COLLECT` Collect information about baseline.
`REMOVE` Remove nodes from baseline.
`SET` Set new baseline.
`VERSION` Check current topology version.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static @Nullable BaselineSubcommands` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static BaselineSubcommands` `of(String text)`
`String` `text()`
`String` `toString()`
`static BaselineSubcommands` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BaselineSubcommands[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.
`VisorBaselineOperation` `visorBaselineOperation()`

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADD

    public static final BaselineSubcommands ADD

Add nodes to baseline.

#### REMOVE

    public static final BaselineSubcommands REMOVE

Remove nodes from baseline.

#### COLLECT

    public static final BaselineSubcommands COLLECT

Collect information about baseline.

#### SET

    public static final BaselineSubcommands SET

Set new baseline.

#### VERSION

    public static final BaselineSubcommands VERSION

Check current topology version.

#### AUTO_ADJUST

    public static final BaselineSubcommands AUTO_ADJUST

Baseline auto-adjust configuration.

### Method Detail

#### values

    public static BaselineSubcommands[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BaselineSubcommands c : BaselineSubcommands.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BaselineSubcommands valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    public static BaselineSubcommands of(String text)

Parameters:
  `text` - Command text.
Returns:
  Command for the text.

#### text

    public String text()

Returns:
  Name.

#### visorBaselineOperation

    public VisorBaselineOperation visorBaselineOperation()

Returns:
  `VisorBaselineOperation` which is associated with baseline subcommand.

#### fromOrdinal

    @Nullable
    public static @Nullable BaselineSubcommands fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<BaselineSubcommands>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020